List bank deposit intents
curl --request GET \
--url https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "01a13aa3-cc15-709b-a6e0-7cb9cc3a2385",
"walletId": "019ff097-fc59-7310-aa41-3187cbe6c158",
"payerId": "01a1547d-9495-71ae-b747-dd593df7e32a",
"status": "NEW",
"amount": 100.25,
"intentFee": 0.75,
"paymentFee": 0.75,
"currencyId": "GBP",
"reference": "G6MGTR6G0R4WW2YP25",
"paymentId": "01a1547d-aa2e-709e-878a-e61d83157acc",
"expiresAt": 1792166400000,
"createdAt": 1792162800000,
"updatedAt": 1792162860000
}
]{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Endpoints
GET /v1/wallet/{walletId}/deposit/bank/intent
Returns Open Banking deposit intents for a wallet accessible to the authenticated user, including closed wallets. Results are paginated and sorted by creation time descending by default. Intents with the same creation time are ordered by ID in the same direction. Returns an empty array when no intents match.
GET
/
v1
/
wallet
/
{walletId}
/
deposit
/
bank
/
intent
List bank deposit intents
curl --request GET \
--url https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v1/wallet/{walletId}/deposit/bank/intent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "01a13aa3-cc15-709b-a6e0-7cb9cc3a2385",
"walletId": "019ff097-fc59-7310-aa41-3187cbe6c158",
"payerId": "01a1547d-9495-71ae-b747-dd593df7e32a",
"status": "NEW",
"amount": 100.25,
"intentFee": 0.75,
"paymentFee": 0.75,
"currencyId": "GBP",
"reference": "G6MGTR6G0R4WW2YP25",
"paymentId": "01a1547d-aa2e-709e-878a-e61d83157acc",
"expiresAt": 1792166400000,
"createdAt": 1792162800000,
"updatedAt": 1792162860000
}
]{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Authorizations
Query Parameters
Response
Deposit intents. Pagination metadata is returned in response headers.